org.mozilla.javascript

## Class RhinoSecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - org.mozilla.javascript.RhinoSecurityManager

    public class RhinoSecurityManager
    extends java.lang.SecurityManager

A `java.lang.SecurityManager` subclass that provides access to the current top-most script class on the execution stack. This can be used to get the class loader or protection domain of the script that triggered the current action. It is required for JavaAdapters to have the same `ProtectionDomain` as the script code that created them. Embeddings that implement their own SecurityManager can use this as base class.

### Field Summary

### Fields inherited from class java.lang.SecurityManager

`inCheck`

### Constructor Summary

Constructors
Constructor and Description
`RhinoSecurityManager()`

### Method Summary

Methods
`protected java.lang.Class` `getCurrentScriptClass()` Get the class of the top-most stack element representing a script.

### Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoSecurityManager

    public RhinoSecurityManager()

### Method Detail

#### getCurrentScriptClass

    protected java.lang.Class getCurrentScriptClass()

Get the class of the top-most stack element representing a script.

Returns:
  The class of the top-most script in the current stack, or null if no script is currently running